version: '3.7'

services:
  postgres:
    tty: true
    image: daublab/db
    container_name: postgres
    # build:
    #   context: .
    #   dockerfile: dockerfile_postgres
    environment:
      - POSTGRES_USER=test-user
      - POSTGRES_PASSWORD=duckpin-celsius-phony-glaucous-conspire-lisp-haggard-nucleate
      - POSTGRES_DB=testdata
    volumes:
      - ./postgres:/var/lib/postgresql/data
  web:
    tty: true
    image: daublab/web
    container_name: web
    # build:
    #    context: .
    #    dockerfile: dockerfile
    command:  /bin/bash ./wait-for-it.sh postgres:5432 -- npm run dev
    volumes:
      - .:/var/www/
      - /var/www/node_modules
    environment:
      - DJANGO_SETTINGS_MODULE=dcc.settings.development
    ports:
      - "3000:3000"
      - "3001:3001"
      - "8000:8000"
    depends_on:
      - postgres
